#include "revfile.h"
#include "bndfile.h"

void HitToAln(const SegPair &Hit, const char *Path,
  char **ptrRow1, char **ptrRow2);
void AIToSP(const AlnInfo &AI, SegPair &SP);

void HitToAln(const AlnInfo &Hit, const std::string &Path,
  std::string &RowA, std::string &RowB)
	{
	SegPair HitSP;
	AIToSP(Hit, HitSP);

	char *sRowA;
	char *sRowB;
	HitToAln(HitSP, Path.c_str(), &sRowA, &sRowB);

	RowA = sRowA;
	RowB = sRowB;

	myfree(sRowA);
	myfree(sRowB);
	}
