#include "getopts.h"
#include <stdio.h>

VALUE_OPT ValueOpts[] =
	{
// Convert from
	{ "frombnd",			0 },
	{ "fromblast",			0 },
	{ "fromlastz",			0 },
	{ "fromcma",			0 },
	{ "frombma",			0 },
	{ "fromgff",			0 },
	{ "fromfasta",			0 },
	{ "fromfastafiles",		0 },
	{ "frommfa",			0 },
	{ "frommaf",			0 },
	{ "fromrev",			0 },

// Convert to
	{ "tobnd",				0 },
	{ "tocma",				0 },
	{ "togff",				0 },
	{ "tofasta",			0 },
	{ "tomaf",				0 },
	{ "tomfa",				0 },
	{ "torev",				0 },

// Dump
	{ "dumprev",			0 },
	{ "dumprevhdr",			0 },
	{ "dumpgenids",			0 },
	{ "dumpchrids",			0 },
	{ "dumpbndcni",			0 },
	{ "dumpacp",			0 },
	{ "bundlescores",		0 },
	{ "showgenomesizes",	0 },
	{ "showchrsizes",	0 },
	{ "dumpai",				0 },

// Extract
	{ "xrange",				0 },
	{ "xchrs",				0 },
	{ "xais",				0 },
	{ "xgffalns",			0 },
	{ "xgffseqs",			0 },
	{ "xsubseq",			0 },

// Validate
	{ "valais",				0 },
	{ "valalns",			0 },
	{ "valseglens",			0 },

// Merge / split
	{ "mergerev",			0 },
	{ "mergerev2",			0 },
	{ "splitrev",			0 },
	{ "mergerevseqs",		0 },

// Misc
	{ "genstats",			0 },
	{ "diffchrseq",			0 },
	{ "pwhack",				0 },

// Params
	{ "log",				0 },
	{ "maxerrs",			0 },
	{ "seqfiles",			0 },
	{ "n",					0 },
	{ "genome",				0 },
	{ "chrfile",			0 },
	{ "rangefile",			0 },
	{ "chrid1",				0 },
	{ "chrid2",				0 },
	{ "chrname1",			0 },
	{ "chrname2",			0 },
	{ "bundle",				0 },
	{ "cma",				0 },
	{ "seq1",				0 },
	{ "seq2",				0 },
	{ "maf_cmdline",		0 },
	{ "maf_scoring",		0 },
	{ "maf_program",		0 },
	{ "genid",				0 },
	{ "chrid",				0 },
	{ "lo",					0 },
	{ "hi",					0 },
	{ "length",				0 },
	{ "prefix",				0 },
	{ "suffix",				0 },
	{ "trunclabel",			0 },
	{ "heapbrk",			0 },
	{ "gen1",				0 },
	{ "gen2",				0 },
	{ "out",				0 },
	{ "out1",				0 },
	{ "out2",				0 },
	{ "aiindex",			0 },
	{ "indexes",			0 },
	{ "minpct",				0 },
	{ "minlength",			0 },
	{ "genome",				0 },
	{ "gff",				0 },
	{ "gff2",				0 },
	{ "in1",				0 },
	{ "in2",				0 },
	{ "label",				0 },
	{ "chr",				0 },
	{ "toasa",				0 },
	{ "gffcover",			0 },
	{ "stripparalogs",		0 },
	{ "project",			0 },
	{ "mstats",				0 },
	{ "block",				0 },
	};
int ValueOptCount = sizeof(ValueOpts)/sizeof(ValueOpts[0]);

FLAG_OPT FlagOpts[] =
	{
	{ "quiet",				0 },
	{ "cmprev",				0 },
	{ "cmprows",			0 },
	{ "aln_required",		0 },
	{ "nopairwise",			0 },
	{ "gendotchr",			0 },
	{ "gendotid",			0 },
	{ "nocmt",				0 },
	{ "useids",				0 },
	{ "usechrids",			0 },
	{ "decrsize",			0 },
	{ "incrsize",			0 },
	{ "list",				0 },
	{ "gffcmp",				0 },
	{ "revcomp",			0 },
	{ "ignorecase",			0 },
	{ "nwild",				0 },
	{ "trunc",				0 },
	{ "pluscoords",			0 },
	{ "logaiindexes",		0 },
	{ "aiindexes",			0 },
	{ "logonly",			0 },
	{ "nomem",				0 },
	{ "pctid",				0 },
	{ "annot",				0 },
	{ "paironly",			0 },
	{ "and",				0 },
	};
int FlagOptCount = sizeof(FlagOpts)/sizeof(FlagOpts[0]);

void Usage()
	{
	fprintf(stderr, "Usage\n");
	}
