#include "revfile.h"
#include "utils.h"
#include "getopts.h"

void DumpGenIds()
	{
	const char *InFileName = RequiredValueOpt("dumpgenids");

	RevFile In;
	In.Open(InFileName);

	const unsigned GenCount = In.GetGenomeCount();
	for (unsigned GenId = 0; GenId < GenCount; ++GenId)
		{
		const std::string &Name = In.GetGenomeName(GenId);
		Dump("%5u  %s\n", GenId, Name.c_str());
		}
	}
