// No #ifdef events_h header guard, by design this
// header may be included several times.

#ifndef E
#error "events.h requires #define E(e)"
#endif

#ifndef IC
#define IC	E
#endif

#ifndef CC
#define CC	E
#endif

// Intra-chr mutations
E(Substitute)
E(Delete)
E(Invert)
E(Move)
E(Copy)
E(Tandem)
E(TandemExpand)
E(TandemContract)
E(Insert)
E(MEInsert)

// Inter-chr mutations
IC(InterChrCopy)
IC(InterChrMove)
IC(ChrSplit)
IC(ChrFuse)
IC(RecipTransloc)
IC(NonRecipTransloc)

// Constraint change events
CC(DeleteUTR)
CC(CreateNontermUTR)
CC(CreateTermUTR)

CC(CreateCDS)
CC(DeleteCDS)

CC(MoveStartCodonIntoUTR)
CC(MoveStartCodonIntoCDS)
CC(MoveStopCodonIntoUTR)
CC(MoveStopCodonIntoCDS)
CC(MoveUTRTerm)

CC(MoveCDSDonorIntoIntron)
CC(MoveUTRDonorIntoIntron)
CC(MoveDonorIntoCDS)
CC(MoveDonorIntoUTR)
CC(MoveCDSAcceptorIntoIntron)
CC(MoveUTRAcceptorIntoIntron)
CC(MoveAcceptorIntoCDS)
CC(MoveAcceptorIntoUTR)

CC(ChangeGeneSpeed)
CC(ChangeNGESpeed)

CC(DeleteNXE)
CC(CreateNXE)
CC(MoveNXE)

CC(DeleteNGE)
CC(CreateNGE)
CC(MoveNGE)

CC(DeleteIsland)
CC(CreateIsland)
CC(MoveIsland)

#undef E
#undef IC
#undef CC

#ifndef	EVENT_TYPE_Invalid
#define	EVENT_TYPE_Invalid ((EVENT_TYPE) INT_MIN)
#endif
