#include "getopts.h"
#include <stdio.h>

VALUE_OPT ValueOpts[] =
	{
	{ "log",				0 },
	{ "out",				0 },
	{ "gff",				0 },
	{ "out_gff",			0 },
	{ "sat_gff",			0 },
	{ "ce_gff",				0 },
	{ "excl_gff",			0 },
	{ "branchlength",		0 },
	{ "anc",				0 },
	{ "aln",				0 },
	{ "from",				0 },
	{ "to",					0 },
	{ "length",				0 },
	{ "minlength",			0 },
	{ "mincodons",			0 },
	{ "genome",				0 },
	{ "mes",				0 },
	{ "evo",				0 },
	{ "ingff",				0 },
	{ "outgff",				0 },
	{ "model",				0 },
	{ "findns",				0 },
	{ "pct",				0 },
	{ "maxtries",			0 },
	{ "seed",				0 },
	{ "evo",				0 },
	{ "genix",				0 },
	{ "chrid",				0 },
	{ "chrname",			0 },
	{ "outgenome",			0 },
	{ "outchrname",			0 },
	{ "outchrnames",		0 },
	{ "seq",				0 },
	{ "cds",				0 },
	{ "annots",				0 },
	{ "inseq",				0 },
	{ "outseq",				0 },
	{ "inannots",			0 },
	{ "outannots",			0 },
	{ "valevents",			0 },
	{ "startval",			0 },
	{ "genes",				0 },
	{ "ncces",				0 },
	{ "assncces",			0 },
	{ "assprobs",			0 },
	{ "interchr",			0 },
	{ "outseq",				0 },
	{ "outcontigs",			0 },
	{ "valgenes",			0 },
	{ "cvtannots",			0 },
	{ "testevent",			0 },
	{ "events",				0 },
	{ "event",				0 },
	{ "testicgenedupe",		0 },
	{ "cpgdist",			0 },
	{ "probstats",			0 },
	{ "alnstats",			0 },
	{ "annotstats",			0 },
	{ "cdsalns",			0 },
	{ "chrname1",			0 },
	{ "chrname2",			0 },
	{ "annots1",			0 },
	{ "annots2",			0 },
	{ "outannots1",			0 },
	{ "outannots2",			0 },
	{ "fixcpgs",			0 },
	{ "getprots",			0 },
	{ "dna",				0 },
	{ "aa",					0 },
	{ "minns",				0 },
	{ "inevo",				0 },
	{ "outevo",				0 },
	{ "trace",				0 },
	{ "ext",				0 },
	{ "out_randns",			0 },
	{ "out_x",				0 },
	{ "label_randns",		0 },
	{ "label_x",			0 },
	{ "xgff",				0 },
	{ "gff_ns",				0 },
	{ "xferannots",			0 },
	{ "fromgenome",			0 },
	{ "togenome",			0 },
	{ "fromgenix",			0 },
	{ "togenix",			0 },
	{ "mergechrs",			0 },
	{ "savegood",			0 },
	{ "savefinal",			0 },
	{ "dumpevo",			0 },
	{ "logeventfrom",		0 },
	{ "logeventto",			0 },
	{ "failevent",			0 },
	{ "alns",				0 },
	{ "statsfile",			0 },
	{ "findorfs",			0 },
	{ "maxorfs",			0 },
	{ "outdna",				0 },
	{ "xlatseq",			0 },
	{ "truncnorm",			0 },
	{ "stddev",				0 },
	{ "delrandgenes",		0 },
	{ "n",					0 },
	{ "targetgenecount",	0 },
	{ "annotsminus",		0 },
	{ "ice",				0 },
	{ "ancstats",			0 },
	{ "compost1",			0 },
	{ "compost2",			0 },
	{ "ancgix",				0 },
	{ "evgix",				0 },
	{ "codonsubs",			0 },
	{ "getcodonsubs",		0 },
	};
int ValueOptCount = sizeof(ValueOpts)/sizeof(ValueOpts[0]);

FLAG_OPT FlagOpts[] =
	{
	{ "quiet",				0 },
	{ "gffscale",			0 },
	{ "testevo",			0 },
	{ "testrand",			0 },
	{ "testmicro",			0 },
	{ "testice",			0 },
	{ "dump",				0 },
	{ "dumphdrs",			0 },
	{ "all",				0 },
	{ "logevents",			0 },
	{ "test",				0 },
	{ "testancread",		0 },
	{ "noevents",			0 },
	{ "unwindannots",		0 },
	{ "logonly",			0 },
	{ "logmodel",			0 },
	{ "logmes",				0 },
	{ "val",				0 },
	{ "sizeof",				0 },
	{ "valalns",			0 },
	{ "novalinit",			0 },
	{ "novalfinal",			0 },
	{ "genncces",			0 },
	{ "testgenedupe",		0 },
	{ "truncmeantable",		0 },
	{ "logfails",			0 },
	{ "nostats",			0 },
	{ "keepov",				0 },
	{ "xlat",				0 },
	{ "samestrand",			0 },
	{ "revcomp",			0 },
	{ "xfertandems",		0 },
	};
int FlagOptCount = sizeof(FlagOpts)/sizeof(FlagOpts[0]);

void Usage()
	{
	fprintf(stderr, "Usage\n");
	}
