#ifndef evofile_h
#define evofile_h

#ifndef __APPLE_CC__
#pragma	pack(push, 1)
#endif

#include "myrand.h"

const uint32 EvoFileHdrStartMagic = 0xe70f11e;
const uint32 EvoFileHdrEndMagic = 0xe70f11f;

struct EvoFileHdr
	{
	uint32 StartMagic;
	uint32 AncChrId;
	uint32 AncestralLength;
	uint32 EvolvedLength;
	uint32 BasesLength;
	uint32 AncPositionsLength;
	uint32 TandemCount;
	uint32 GeneCount;
	uint32 NextGeneIndex;
	uint32 ParalogCount;
	uint32 FirstEvolvedPos;
	uint32 FirstDeletedPos;
	uint32 LastEvolvedPos;
	uint32 LastDeletedPos;
	uint32 EndMagic;
	};

#ifndef __APPLE_CC__
#pragma	pack(pop)
#endif

#endif // evofile_h
