#include "evolver.h"
#include "ratemgr.h"
#include "myrand.h"

EVENT_RESULT Evolver::Try_Insert()
	{
	gpos_t InsertPos = GetRandomPos();
	if (InsertPos == GPOS_T_MAX)
		EV_FAIL(Insert, 0, GetRandomPos)
	m_CurrentEventPos = InsertPos;

	EV_GETLENGTH(Insert, InsertLength)
	if (InsertLength == GPOS_T_MAX)
		EV_FAIL(Insert, InsertLength, GetLength)

	if (!RangeExists(InsertPos, 2))
		EV_FAIL(Insert, InsertLength, RangeExists)

	string Seq;
	RandSeq(Seq, (unsigned) InsertLength);

	//bool Accept = AcceptInsert(InsertPos, Seq);
	//if (!Accept)
	//	EV_REJECT(Insert, InsertLength, Insert)
	ACCEPT_INSERT(Insert, InsertPos, Seq)

	Insert(InsertPos, Seq);

	EV_ACCEPT(Insert, InsertPos, InsertLength)
	}
