#ifndef MUL_H
#define MUL_H

#include <list>

using namespace std;

// Maximal Unrearranged Locus in ancestral genome
struct MULData
	{
public:
	MULData()
		{
		ChrIndex = UINT_MAX;
		Pos = GPOS_T_MAX;
		Length = GPOS_T_MAX;
		Plus = true;
		}

// Chromosome in evolved genome
	unsigned ChrIndex;

// Position in ancestral genome.
	gpos_t Pos;

// Length in bases.
	gpos_t Length;

// Strand
	bool Plus;

public:
	void LogMe() const;
	};

#endif // MUL_H
