#ifndef EXTERN
#define EXTERN
#endif

#define G(e)												\
	EXTERN vector<pair<gpos_t, double> > g_##e##Rates;

#define MG(e)												\
	EXTERN vector<double> g_Micro##e##Rates;				\
	EXTERN double g_IntegratedMicro##e##Rate;				\
	EXTERN vector<unsigned> g_Micro##e##Bins;

#define BG(e)												\
	EXTERN vector<BigLHF> g_Big##e##LHFs;					\
	EXTERN double g_IntegratedBig##e##Rate;					\
	EXTERN vector<unsigned> g_Big##e##Bins;

#define E(e)	G(e) MG(e) BG(e)
#define ME(e)	G(e) MG(e)
#define BE(e)	G(e) BG(e)

E(Delete)
E(Invert)
E(Tandem)
E(Copy)
E(Move)
E(NCCE)

ME(Insert)

BE(InterChrCopy)
BE(InterChrMove)

#undef G
#undef MG
#undef BG
#undef E
#undef ME
#undef BE
#undef EXTERN
