#include "alninfo.h"

const char *AlnAttrToStr(AlnAttr Attr)
	{
	switch (Attr)
		{
	case ALN_ATTR_BundleId:
		return "BundleId";
	case ALN_ATTR_AlnLength:
		return "AlnLength";
	case ALN_ATTR_Placeholder:
		return "Placeholder";
	case ALN_ATTR_None:
		return "None";
	case ALN_ATTR_TraceType:
		return "TraceType";
	case ALN_ATTR_ConfScore:
		return "ConfScore";
	case ALN_ATTR_BundleScore:
		return "BundleScore";
	case ALN_ATTR_ScaledBundleScore:
		return "ScaledBundleScore";
	case ALN_ATTR_MultixTruncatedEndBlock:
		return "MultixTruncatedEndBlock";
	case ALN_ATTR_UnalignedBlock:
		return "UnalignedBlock";
	case ALN_ATTR_AncestralPos:
		return "AncestralPos";
	case ALN_ATTR_Paralog:
		return "Paralog";
	case ALN_ATTR_GeneIndex1:
		return "GeneIndex1";
	case ALN_ATTR_GeneIndex2:
		return "GeneIndex2";
	case ALN_ATTR_Frame:
		return "Frame";
		}
	static char Str[64];
	sprintf(Str, "ALN_ATTR_%u", (unsigned) Attr);
	return Str;
	}
