#ifndef C
#error "cetypes.h needs macro C defined"
#endif

/***
CE taxonomy:
	CDS		Protein-coding region (codons, including STOP).
	UTR		Untranslated region (of an exon).
	NXE		Bon-exon element of gene.
	NGE		Non-gene element.
***/

C(Unknown)
C(Neutral)
C(UTR)
C(CDS)
C(Splice)
C(NXE)
C(NGE)
C(Invalid)

#undef C
