#include "utils.h"
#include "intlist.h"

void LogIntList(const IntList &L)
	{
	unsigned Count = 0;
	for_CIntList(L, p)
		{
		if (++Count%16 == 0)
			Log("\n");
		unsigned n = *p;
		if (n == UINT_MAX)
			Log(" *");
		else
			Log(" %u", *p);
		}
	}

void LogIntVec(const IntVec &L)
	{
	unsigned Count = 0;
	for_CIntVec(L, p)
		{
		if (++Count%16 == 0)
			Log("\n");
		unsigned n = *p;
		if (n == UINT_MAX)
			Log(" *");
		else
			Log(" %u", *p);
		}
	}

void LogByteVec(const ByteVec &L)
	{
	unsigned Count = 0;
	for_CByteVec(L, p)
		{
		if (++Count%16 == 0)
			Log("\n");
		unsigned n = *p;
		if (n == UINT_MAX)
			Log(" *");
		else
			Log(" %u", *p);
		}
	}
