#ifndef MKEDGES_H
#define MKEDGES_H

#include "revfile.h"

void GetBendpoints(const AIVec &AIs, unsigned GenomeIndex,
  std::vector<AIBP> &BPs, unsigned Margin);

typedef bool (*ptrLinkFunction)(const AlnInfo &AI1, const AlnInfo &AI2);

void MakeEdges(const AIVec &AIs, ptrLinkFunction Link, unsigned GenomeIndex,
  unsigned MaxDist, IntVecVec &Edges, bool ShowProgress);

void MakeEdges(const AIXVec &AIXs, ptrLinkFunction Link, unsigned GenomeIndex,
  unsigned MaxDist, IntVecVec &Edges, bool ShowProgress);

void AIXsToAIs(const AIXVec &AIXs, AIVec &AIs);

#endif	// MKEDGES_H
