#include "types.h"
#include <algorithm>
#include "myassert.h"

coord_t GetOverlapLength(coord_t loA, coord_t hiA, coord_t loB, coord_t hiB)
	{
	assert(loA <= hiA);
	assert(loB <= hiB);

	coord_t maxlo = std::max(loA, loB);
	coord_t minhi = std::min(hiA, hiB);

	if (maxlo > minhi)
		return 0;

	return minhi - maxlo + 1;
	}
