#include <ctype.h>
#include <string>
#include <vector>

void ParseStrVecWS(const std::string &In, std::vector<std::string> &Out)
	{
	Out.clear();
	const unsigned Length = (unsigned) In.size();
	std::string s;
	for (unsigned i = 0; i < Length; ++i)
		{
		char c = In[i];
		if (isspace(c))
			{
			if (!s.empty())
				{
				Out.push_back(s);
				s.clear();
				}
			}
		else
			s.push_back(c);
		}
	if (!s.empty())
		Out.push_back(s);
	}

// Parse list of strings separated by Sep.
void ParseStrVec(const std::string &In, std::vector<std::string> &Out, char Sep)
	{
	Out.clear();
	const unsigned Length = (unsigned) In.size();
	std::string s;
	for (unsigned i = 0; i < Length; ++i)
		{
		char c = In[i];
		if (c == Sep)
			{
			Out.push_back(s);
			s.clear();
			}
		else
			s.push_back(c);
		}
	if (!s.empty())
		Out.push_back(s);
	}
