#include "intlist.h"
#include "utils.h"

void Transpose(const IntVecVec &Edges, IntVecVec &EdgesT)
	{
	const unsigned NodeCount = (unsigned) Edges.size();

	EdgesT.clear();
	EdgesT.resize(NodeCount);

	for (unsigned NodeIndex = 0; NodeIndex < NodeCount; ++NodeIndex)
		{
		const IntVec &Neighbors = Edges[NodeIndex];
		for_CIntVec(Neighbors, p)
			{
			unsigned Neighbor = *p;
			EdgesT[Neighbor].push_back(NodeIndex);
			}
		}
	}
