#include "revfile.h"

const StdStr &TraceTypeToStr(unsigned TraceType)
	{
	static StdStr Str;
	switch (TraceType)
		{
	case TraceType_Hit:
		Str = "Hit";
		break;
	case TraceType_RealignedHit:
		Str = "RealignedHit";
		break;
	case TraceType_RealignedHole:
		Str = "RealignedHole";
		break;
	case TraceType_ChainHit:
		Str = "ChainHit";
		break;
	case TraceType_HoleMinusHit:
		Str = "HoleMinusHit";
		break;
	case TraceType_StartHole:
		Str = "StartHole";
		break;
	case TraceType_EndHole:
		Str = "EndHole";
		break;
	case TraceType_Hole:
		Str = "Hole";
		break;
	case TraceType_ChainGlobalAln:
		Str = "ChainGlobalAln";
		break;
	case TraceType_BoundRect:
		Str = "BoundRect";
		break;
	default:
		Str = "?InvalidTraceType?";
		break;
		}
	return Str;
	}
